GET
/
stake
/
validator
/
rewards
/
statistics
Get Validator Reward Statistics
curl --request GET \
  --url https://prv.stake.biya.io/stake/validator/rewards/statistics
{
  "validator_address": "<string>",
  "cumulative_block_rewards": [
    {
      "denom": "<string>",
      "amount": "<string>"
    }
  ],
  "cumulative_tx_fee_rewards": [
    {
      "denom": "<string>",
      "amount": "<string>"
    }
  ],
  "total_cumulative_rewards": [
    {
      "denom": "<string>",
      "amount": "<string>"
    }
  ],
  "monthly_rewards": [
    {
      "denom": "<string>",
      "amount": "<string>"
    }
  ],
  "rewards_24h": [
    {
      "denom": "<string>",
      "amount": "<string>"
    }
  ],
  "actual_apr": "<string>",
  "timestamp": "<string>"
}

Query Parameters

validator_address
string

Validator operator address

Response

200 - application/json

OK

GetValidatorRewardStatisticsResponse contains reward statistics for a validator

validator_address
string

Validator operator address

cumulative_block_rewards
object[]

Cumulative block rewards (total rewards from proposing blocks)

cumulative_tx_fee_rewards
object[]

Cumulative transaction fee rewards (total commission from transaction fees)

total_cumulative_rewards
object[]

Total cumulative rewards (block rewards + tx fee rewards)

monthly_rewards
object[]

Monthly rewards (rewards in the current month)

rewards_24h
object[]

24h rewards (rewards in the last 24 hours)

actual_apr
string

Actual APR (Annual Percentage Rate) based on last 30 days of rewards Calculated as: (last_30d_rewards / staked_amount) * (365 / 30) * 100

timestamp
string

Timestamp when statistics were calculated